<?php
error_reporting(E_ALL|E_STRICT);
ini_set('display_errors', 1);
date_default_timezone_set('Europe/Paris');


define('DS', DIRECTORY_SEPARATOR);
define('PS', PATH_SEPARATOR);

// mise en place des r�pertoires et chargement des classes
set_include_path('.'
    . PS . './library'
    . PS . './application/models/'
    . PS . './application' . DS . 'controllers' . DS . 'plugins' . DS
    . PS . './library'.DS.'My'.DS
    . PS . get_include_path());
include "Zend/Loader.php";
Zend_Loader::registerAutoload();


    


if (file_exists('./application/config/config.ini'))
{
 $config = new Zend_Config_Ini('./application/config/config.ini', 'general');

 $registry = Zend_Registry::getInstance();
 $registry->set('config', $config);
 
 // Mise en place de la BDD
  $db = Zend_Db::factory($config->db);
  $test = $db->getConfig();
  //print_r($test);
  Zend_Db_Table::setDefaultAdapter($db);
  Zend_Registry::set('dbAdapter', $db);
 
}
 else 
 {
  setcookie('login',true);
 } 

 
// $acl_ini = './application/acl.ini' ;  
 //$config_acl  = new Zend_Config_Ini($acl_ini) ;  
// $acl     = new MyAclIni($acl_ini) ;  
   
//$log = new Zend_Log(new Zend_Log_Writer_Stream('logs'. DS .'log.txt'));
//Zend_Registry::set('log', $log);

$auth = Zend_Auth::getInstance();

//$acl = new MyAcl($auth);
//$registry->set('acl',$acl);

//Zend_Loader::loadClass('Zend_Db_Table');
//Zend_Loader::loadClass('Zend_Debug');
//Zend_Loader::loadClass('Zend_Auth');

// setup database
//$dbAdapter = Zend_Db::factory($config->db->adapter,
//$config->db->config->asArray());
//Zend_Db_Table::setDefaultAdapter($db);

 session_start();

if (!isset($_SESSION['token']))
{
 $token = md5(uniqid(rand(),TRUE));
 $_SESSION['token'] = $token;
 setcookie('eMySQLAdminToken',$_SESSION['token'],time()+120);
}


mysql_set_charset('UTF8');
// setup controller
$frontController = Zend_Controller_Front::getInstance();
$frontController->throwExceptions(true);
$frontController->setControllerDirectory('./application/controllers');
//$frontController->registerPlugin(new My_Plugin_Auth($auth,$acl));

Zend_Layout::startMvc(array('layoutPath'=>'./application/layouts'));

// run!
$frontController->dispatch();

