/*
 * eMySQLAdmin main application
 * version prototype 0.1
 * author : AIT YAHIA Idir
 * created on march 20 2009
 * last edit on april 5 2009
 * (c) copyright dune-devzone 2009
 *
 * */

/**
 * function for read a cookies
 * @param {} name string coolise name
 * @return {} string cookise value
 */
function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

var AppId = readCookie('eMySQLAdminToken'); // Init Application session Id to secure 


Ext.onReady(function(){
Ext.QuickTips.init();


/*Viewport Layout for application*/	
var eMySQLAdmin = new Ext.Viewport({
    layout: 'border',
    items: [{
      	region: 'north',
      	xtype:'box',
        height :30, 
        el:'header',
        border: false
       // margins: '0 0 5 0'
    }, {
        layout: 'accordion',
    	id: 'layout-browser',
    	title: NAV_TITLE,
        region:'west',
        border: true,
        split:true,
		margins: '2 0 2 2',
        width: 275,
        minSize: 100,
        maxSize: 500,
        collapsible:true,
        layoutConfig:{
            animate:true
        },
        items:dbBaseTree
        
    }, {
        region: 'center',
        xtype: 'tabpanel',
        activeTab: 0,
        border: true,
        margins: '2 0 2 2',
        closable:true,
		id:'contenu',
		items: homePanel
    }, {
        region: 'south',
        title: 'Information',
		xtype:'statusbar',
        collapsible: false,
        defaultText: 'Default status',
        id: 'basic-statusbar',
        split: false,
        height: 30
        
    }]
}); //end of BasicMySAdmin Viewport
        }); // end of Ext.onReady