/*
 * Default Home Tab
 * version prototype 0.1
 * author : AIT YAHIA Idir
 * created on march 20 2009
 * last edit on april 5 2009
 * (c) copyright dune-devzone 2009
 * */
 
mainActions = Ext.extend(Ext.DataView, {
    autoHeight: true,
    cls:'demos',
    itemSelector: 'dd',
    overClass: 'over',
    
    tpl : new Ext.XTemplate(
    
          '<div id="home-link">',
          '<tpl for=".">',
             '<dd ext:actionForm="{actionForm}"><img src="public/images/{icon}" alt="image"/>',
             '<div><h4>{text}</h4><p>{desc}</p></div>',
             '</tpl>',
        
      '</div>'
    ),

    onClick : function(e){
        var group = e.getTarget('h2', 3, true);
        if(group){
            group.up('div').toggleClass('collapsed');
        }else {
            var t = e.getTarget('dd', 5, true);
            if(t && !e.getTarget('a', 2)){
                var actForm = t.getAttributeNS('ext', 'actionForm');
                 Ext.getCmp(actForm).show();
                 
                 infoServerPanel.doLayout();
            }
        }
        return mainActions.superclass.onClick.apply(this, arguments);
    }
});


  var mainActionList = [{
  	        id :'NewDatabase',
            text: ADD_DATABASE_LABEL,
            actionForm: 'newDataBase',
            icon: 'database_add.png',
            desc: ADD_DATABASE_DESC
        },{
        	id :'NewQuery',
            text: NEW_QUERY_LABEL,
            actionForm: 'newQuery',
            icon: 'process_add.png',
            desc: NEW_QUERY_DESC
        },{
        	id :'Customize',
            text: CUSTOMIZE_LABEL,
            actionForm: 'customize',
            icon: 'application_edit.png',
            desc: CUSTOMIZE_DESC
        }
  ];
  
 var actionListStore = new Ext.data.JsonStore({
        idProperty: 'id',
        fields: ['id','text', 'actionForm', 'icon','desc'],
        data: mainActionList
    });
    

    /*
 * Template for shwong right side server Info
 * */    
var serverInfo = new Ext.Template('<h3>MySQL Server</h3>',
             '<div class="serveur">',
             '<p><span>Server&nbsp;:</span>&nbsp;{host}</p>',
             '<p><span>Version&nbsp;:</span>&nbsp;{server}</p>',
             '<p><span>Protocole&nbsp;:</span>&nbsp;{protocole}</p>',
             '<p><span>Client&nbsp;:</span>&nbsp;{client}</p>',
             '<p><span>Charset&nbsp;:</span>&nbsp;{charset}</p>',
             '<p><span class="user">User&nbsp;:</span>&nbsp;{user}</p>',
             '</div>' );
 
             
/*
 * Template for right side eMySQLAdmin related links
 * */              
var eMySqlInfo = new Ext.Template('<h3>eMySQL version</h3>',
             '<div class="serveur">',
             '<p><span>version&nbsp;:</span>&nbsp;{version}</p>',
             '<p><span>website&nbsp;:</span>&nbsp;<a href="{website}">dune-devzone</a></p>',
             '<p><span>bug tracker&nbsp;:</span>&nbsp;<a href="{bugs}">Report a bugs</a></p>',
             '<p><span>forum&nbsp;:</span>&nbsp;<a href="{forum}">ask a question</a></p>',
             '</div>' );

             



    


 

             
var eMySqlData = {
	website : 'dune-devzone.servhome.org',
	version : '1.0 alpha',
	bugs : 'dune-devzone.servhome.org/bugs',
	forum : 'dune-devzone.servhome.org/forum'
};

var homeContentPanel = new Ext.Panel({
	//title:'Serveur',
	 border:false,
	 bodyStyle:'background: url(public/images/logo-bg.jpg) no-repeat right bottom ;padding : 5px;',
	 items:new mainActions({store:actionListStore})
	 
   
}); 

var homePanel =new Ext.Panel({
  title : 'Home',
  layout:'fit',
  autoScroll   : true,
  border :false,

  items : [    {
      layout : "column",
       items : [{
          columnWidth : 1,
          columnHeight:1,
          border:false,
          extraCls:'myClass',
          items :homeContentPanel,
          layout:'fit'
         },        {
      	width :270,
      	border:false,
      	id:'column2',
          items : [ {
          	 id:'server-info', 
              xtype : "panel",
              height : 200,
              baseCls : "x-box",
              frame : true,
              width : 250,
              style:'margin:20px 10px;',
              bodyStyle : "padding : 10px;"
              
              
             
          }, {
          	 id:'eMySQL-info', 
              xtype : "panel",
              height : 200,
              baseCls : "x-box",
              frame : true,
              width : 250,
              style:'margin:20px 10px;',
              bodyStyle : "padding : 10px;"
          }]
         
      }]
  }]

});

var infoServerPanel = Ext.getCmp('server-info');
var eMySqlInfoPanel = Ext.getCmp('eMySQL-info');

/*homeContentPanel.on('render',function(){
actionTemplate.overwrite(homeContentPanel.body,eMySqlData);

});*/
//

eMySqlInfoPanel.on('render',function(){
eMySqlInfo.overwrite(eMySqlInfoPanel.body,eMySqlData);

});

cmp = Ext.getCmp('column2');

 

Ext.Ajax.request({
 url:'index/getdata',
 method:'POST',
 params:
 {gData:'getServerInfo'},
 callback: function (options, success, response){
              //  infoServerPanel.loadMask.hide();
            },
  success:function(response){
  		ServerInfoData = Ext.util.JSON.decode(response.responseText);
  		serverInfo.overwrite(infoServerPanel.body,ServerInfoData);
   },
   listeners:{
   beforerequest :{
    fn :function(){
  
    infoServerPanel.loadMask = new Ext.LoadMask(infoServerPanel.body,{msg:'Chargement'});  
    infoServerPanel.loadMask.show();

    	
    }},
    requestcomplete :{
    fn :function(){
   
   // infoServerPanel.loadMask.hide();
    
    	
    }}
    
    }

});
/*
infoServerPanel.on('render',function(){

infoServerPanel.loadMask = new Ext.LoadMask(infoServerPanel.body,{msg:'Chargement'});

infoServerPanel.loadMask.show();


 Ext.Ajax.request({
 url:'index/getdata',
 method:'POST',
 params:
 {gData:'getServerInfo'},
 callback: function (options, success, response){
                infoServerPanel.loadMask.hide();
            },
  success:function(response){
  		ServerInfoData = Ext.util.JSON.decode(response.responseText);
  		serverInfo.overwrite(infoServerPanel.body,ServerInfoData);
   }

});});

  */    