<?php
class IndexController extends Zend_Controller_Action {
	
function indexAction() {
		$this->view->title = "Basic MySQL Administrator";
		
	
	/*
	 * sqlquery.
	 * action witch execute a seeded SQL query from front application
	 * the action is called with two parameters
	 * gData :define a query type 
	 * query : SQL query
	 */
	function sqlqueryAction() {
		$this->_helper->layout->disableLayout ();
		$this->_helper->removeHelper ( 'viewRenderer' );
		
		if ($this->_request->isPost ()) {
			$formData = $this->_request->getPost ();
			
    $appId = $formData['appId'];
	if ($_SESSION['token'] == $appId)
	  { 
			 
			$action = $formData ['gData'];
			$db = Zend_Registry::get ( 'dbAdapter' );
			
			switch ($action) {
				case "sqlquery" :
					
					$query = $formData ['query'];
					
					
					try {
						$db->query ( $query );
						$sucess = true;
						$data = array ('success' => $sucess );
					} catch ( Zend_Db_Exception $e ) {
						$sucess = false;
						$err_msg = $e->getMessage ();
						$data = array ('success' => $sucess, 'errorMsg' => $err_msg );
					}
					
					$result = $data;
					
					break;
			}
	  }
	   else 
	   {
	   	$sucess = false;
	   	$err_msg ='not autorized'; 
	   	$data = array ('success' => $sucess, 'errorMsg' => $err_msg );
	   	$result = $data;
	   }
			echo json_encode ( $result );
	} //end if this request is post	
	

	}
	
	/*
	 * getdata
	 * action witch send a JSON Data, requested by front application
	 * according to gData value
	 */
	
	function getdataAction() {
		$this->_helper->layout->disableLayout ();
		$this->_helper->removeHelper ( 'viewRenderer' );
		
		if ($this->_request->isPost ()) {
			$formData = $this->_request->getPost ();
			
			$action = $formData ['gData'];
			$db = Zend_Registry::get ( 'dbAdapter' );
			
			$dbOperation = new dbOperation ( $db );
			switch ($action) {
				case "getBaseTree" :
					switch ($formData ['objectType']) {
						case 'root' :
							$result = $dbOperation->getDatabase ();
							//echo json_encode($data);
							

							break;
						case 'database' :
							
							$database = $_POST ['node'];
							$table = $dbOperation->getTables ( $database );
							$views = $dbOperation->getViews ( $database );
							$procedures = $dbOperation->getProcedures ( $database );
							$functions = $dbOperation->getfunctions ( $database );
							$triggers = $dbOperation->getTriggers ( $database );
							
							$result = array ($table, $views, $procedures, $functions, $triggers );
							
							

							break;
					}
					
					break;
				case 'getServerInfo' :
					$data = array ();
					$server = mysql_get_server_info ();
					$client = mysql_get_client_info ();
					$host = mysql_get_host_info ();
					$protocole = mysql_get_proto_info ();
					$encodage = $dbOperation->getServerCharset ();
					$user = $db->getConfig ();
					$user = $user ['username'] . '@' . $user ['host'];
					
					$data = array ('server' => $server, 'client' => $client, 'host' => $host, 'protocole' => $protocole, 'charset' => $encodage, 'user' => $user );
					$result = $data;
					break;
				case 'charset' :
					
					$data ['results'] = $dbOperation->getCharset ();
					$result = $data;
					break;
				case 'collate' :
					$charset = $formData ['charset'];
					$data ['results'] = $dbOperation->getCollate ( $charset );
					$result = $data;
					break;
			}
			$toSeed = Zend_Json::encode($result);
			$this->getResponse ()->clearBody ();
			$this->getResponse ()->setHeader ( 'Content-Type', 'text/x-json' );
			$this->getResponse ()->setBody ( $toSeed );
		}
	
	}

}
